ReadOnlyBean (Apache ZooKeeper - Server 3.7.0 API)
Date: 2021-03-17

org.apache.zookeeper.server.quorum

## Class ReadOnlyBean

- java.lang.Object
- - org.apache.zookeeper.server.ZooKeeperServerBean
  - - org.apache.zookeeper.server.quorum.ReadOnlyBean

- All Implemented Interfaces:
    ZKMBeanInfo, ZooKeeperServerMXBean

      public class ReadOnlyBean
      extends ZooKeeperServerBean

  ReadOnly MX Bean interface, implemented by ReadOnlyBean

- - ### Field Summary

    - ### Fields inherited from class org.apache.zookeeper.server.ZooKeeperServerBean

      `zks`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ReadOnlyBean(ZooKeeperServer zks)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getName()`

    - ### Methods inherited from class org.apache.zookeeper.server.ZooKeeperServerBean

      `getAuthFailedCount, getAvgRequestLatency, getClientPort, getCommitProcMaxCommitBatchSize, getCommitProcMaxReadBatchSize, getConnectionDecreaseRatio, getConnectionDropDecrease, getConnectionDropIncrease, getConnectionFreezeTime, getConnectionMaxTokens, getConnectionTokenFillCount, getConnectionTokenFillTime, getDataDirSize, getFlushDelay, getFsyncThresholdExceedCount, getJuteMaxBufferSize, getLargeRequestMaxBytes, getLargeRequestThreshold, getLastClientResponseSize, getLogDirSize, getMaxBatchSize, getMaxClientCnxnsPerHost, getMaxClientResponseSize, getMaxCnxns, getMaxRequestLatency, getMaxSessionTimeout, getMaxWriteQueuePollTime, getMinClientResponseSize, getMinRequestLatency, getMinSessionTimeout, getNonMTLSLocalConnCount, getNonMTLSRemoteConnCount, getNumAliveConnections, getOutstandingRequests, getPacketsReceived, getPacketsSent, getRequestStaleConnectionCheck, getRequestStaleLatencyCheck, getRequestThrottleDropStale, getRequestThrottleLimit, getRequestThrottleStallTime, getResponseCachingEnabled, getSecureClientAddress, getSecureClientPort, getStartTime, getThrottledOpWaitTime, getTickTime, getTxnLogElapsedSyncTime, getVersion, isHidden, resetAuthFailedCount, resetFsyncThresholdExceedCount, resetLatency, resetMaxLatency, resetNonMTLSConnCount, resetStatistics, setCommitProcMaxCommitBatchSize, setCommitProcMaxReadBatchSize, setConnectionDecreaseRatio, setConnectionDropDecrease, setConnectionDropIncrease, setConnectionFreezeTime, setConnectionMaxTokens, setConnectionTokenFillCount, setConnectionTokenFillTime, setFlushDelay, setLargeRequestMaxBytes, setLargeRequestThreshold, setMaxBatchSize, setMaxClientCnxnsPerHost, setMaxSessionTimeout, setMaxWriteQueuePollTime, setMinSessionTimeout, setRequestStaleConnectionCheck, setRequestStaleLatencyCheck, setRequestThrottleDropStale, setRequestThrottleLimit, setRequestThrottleStallTime, setResponseCachingEnabled, setThrottledOpWaitTime, setTickTime`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ReadOnlyBean

          public ReadOnlyBean(ZooKeeperServer zks)

  - ### Method Detail

    - #### getName

          public String getName()

      Specified by:
        `getName` in interface `ZKMBeanInfo`
      Overrides:
        `getName` in class `ZooKeeperServerBean`
      Returns:
        a string identifying the MBean

Copyright © 2008–2021 The Apache Software Foundation. All rights reserved.